@echo off
fxinst.exe -g "InJoy Firewall"
fxinst.exe -g "InJoy Firewall\Information"
fxinst.exe -g "InJoy Firewall\Log Files"
fxinst.exe -g "InJoy Firewall\Tools"
fxinst.exe -g "InJoy Firewall\Packet Tracing"
fxinst.exe -g "InJoy Firewall\Extras"
fxinst.exe -p "InJoy Firewall Server" gateway.exe "InJoy Firewall"
fxinst.exe -p "InJoy Firewall GUI" fgui.exe "InJoy Firewall"
fxinst.exe -p "Security Logs" "logview.exe lview\firewall.ini" "InJoy Firewall"
fxinst.exe -p "Reload Firewall Configuration" "sync.exe -firewall" "InJoy Firewall"

fxinst.exe -p "IPSec Logs" "logview.exe lview\ipsec.ini" "InJoy Firewall\Log Files"
fxinst.exe -p "DHCPd Logs" "logview.exe lview\dhcpd.ini" "InJoy Firewall\Log Files"
fxinst.exe -p "PPPoE Logs" "logview.exe lview\pppoe.ini" "InJoy Firewall\Log Files"
fxinst.exe -p "PPTP Logs" "logview.exe lview\pptp.ini" "InJoy Firewall\Log Files"

fxinst.exe -p "Restart Firewall" "sync.exe -restart" "InJoy Firewall\Tools"
fxinst.exe -p "Kill Firewall" "sync.exe -kill" "InJoy Firewall\Tools"
fxinst.exe -p "Reload IPSec Configuration" "sync.exe -ipsec" "InJoy Firewall\Tools"
fxinst.exe -p "Reload DHCP Server Configuration" "sync.exe -dhcpd" "InJoy Firewall\Tools"

fxinst.exe -p "IP Trace (Start)" "sync.exe -on:logbin" "InJoy Firewall\Packet Tracing"
fxinst.exe -p "IP Trace (Stop)" "sync.exe -off:logbin" "InJoy Firewall\Packet Tracing"
fxinst.exe -p "Format Trace (to Screen)" "ipformat.exe -r packet.trc" "InJoy Firewall\Packet Tracing"
fxinst.exe -p "Delete Trace File" "deltrace.bat" "InJoy Firewall\Packet Tracing"

fxinst.exe -p "Admin Remote Firewall" "fgui.exe -remote" "InJoy Firewall\Extras"
fxinst.exe -p "Run Firewall Server in Background" "gateway.exe -b" "InJoy Firewall\Extras"
fxinst.exe -p "IP Forwarding (Enable)" "ipgate.exe on" "InJoy Firewall\Extras"
fxinst.exe -p "IP Forwarding (Disable)" "ipgate.exe off" "InJoy Firewall\Extras"
fxinst.exe -p "Change Firewall Adapter" "fxinst.exe -A -w" "InJoy Firewall\Extras"
fxinst.exe -p "Uninstall" "dbuninst.exe """InJoy Firewall""" 4.0" "InJoy Firewall\Extras"

fxinst.exe -s "FX Communications" "docs\FX.url" "InJoy Firewall\Information"
fxinst.exe -s "Product Homepage" "docs\home.url" "InJoy Firewall\Information"
fxinst.exe -s "Purchase" "docs\purchase.url" "InJoy Firewall\Information"
fxinst.exe -s "Online Documentation" "docs\docs.url" "InJoy Firewall\Information"
