@echo off
cls
echo F/X Communications Windows 2000/XP Driver Installer
echo.
echo ****************************** ATTENTION !!! ******************************
echo Windows will prompt if it should continue installing drivers without the
echo "Microsoft Digital Signature". Answer "Yes" or "Continue" to all prompts.
echo ***************************************************************************
echo.

fxinst -6

if errorlevel 1 goto bit64
if errorlevel 0 goto bit32

echo Unknown CPU type, installation aborted!
goto end

:bit32

echo Installing drivers for 32-bit CPU...

fxinst.exe fx -q %1 %2 %3
if errorlevel 5 goto end
if errorlevel 3 echo Could not install driver fx.
fxinst.exe fxdod -q %1 %2 %3
if errorlevel 5 goto end
if errorlevel 3 echo Could not install driver fxdod.

fxinst.exe -q -n fxwrap driver\fxwrap.inf
goto afterdrivers

:bit64

echo Installing drivers for 64-bit CPU...

fxinst64.exe fx64 -q %1 %2 %3
if errorlevel 5 goto end
if errorlevel 3 echo Could not install driver fx.
fxinst64.exe fxdod64 -q %1 %2 %3
if errorlevel 5 goto end
if errorlevel 3 echo Could not install driver fxdod.

fxinst64.exe -q -n fxwrap driver64\fxwrap.inf
goto afterdrivers

:afterdrivers

echo When the InJoy Firewall application is NOT running, the driver should:
echo 1: Allow all IP traffic (default)
echo 2: Block all IP traffic (Not supported for Dial-Up)
fxinst.exe -y "Choice: "
if errorlevel 10 goto denyall

echo.
fxinst.exe -z
fxinst.exe -a
if errorlevel 2 goto end
goto startinst

:denyall
echo.
fxinst.exe -t
if errorlevel 2 goto end

:startinst
echo.
ipgate check
fxinst.exe -o fxsrv
echo Firewall Server startup mode:
echo 1: Manual (default)
echo 2: Automatically -- as a Windows service
fxinst.exe -y "Choice: "
if errorlevel 10 goto autostart

fxinst.exe -c fxsrv "InJoy Firewall Server Service"
goto folders

:autostart
fxinst.exe -b fxsrv "InJoy Firewall Server Service"

:folders
echo.
echo Creating Start menu Folder/Icons ("FOLDER.BAT")
call folder.bat

fxinst.exe -ii

echo.
echo Installation completed successfully.

echo.
fxinst.exe -e

:end